package edu.cmu.cs.l3.absyn;

public class ASBlock extends ASStatement {

    public ASBlock(int p, ASStatement stm) {
	super(p); m_fullblock = false;
	m_stm = stm;

	m_classname = "ASBlock";
    }

    public ASBlock(int p, ASDeclaration dec, ASStatement stm) {
	super(p); m_fullblock = true;
	m_stm = stm; m_decs = dec;

	m_classname = "ASBlock";
    }

    public boolean isFullBlock() {
	return m_fullblock;
    }

    public ASDeclaration getDeclaration() {
	return m_decs;
    }

    public ASStatement getStatement() {
	return m_stm;
    }

    private boolean m_fullblock = false;
    private ASDeclaration m_decs;
    private ASStatement m_stm;
}